Bug 1118985 - [abrt] xorg-x11-server-Xorg: RegionUninit(): Xorg killed by SIGSEGV
Summary: [abrt] xorg-x11-server-Xorg: RegionUninit(): Xorg killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0788550919eaaf91ed19fbe20c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 19:30 UTC by ostadi
Modified: 2015-06-29 21:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:07 UTC


Attachments (Terms of Use)
File: backtrace (24.83 KB, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: cgroup (177 bytes, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: core_backtrace (16.41 KB, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: dso_list (5.29 KB, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: environ (1.79 KB, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: maps (26.94 KB, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: open_fds (59 bytes, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details
File: var_log_messages (608 bytes, text/plain)
2014-07-12 19:30 UTC, ostadi
no flags Details

Description ostadi 2014-07-12 19:30:25 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.4-11.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/X :0 vt1 -auth /root/.serverauth.1270
crash_function: RegionUninit
executable:     /usr/bin/Xorg
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 RegionUninit at /usr/include/xorg/regionstr.h:161
 #1 RegionEmpty at /usr/include/xorg/regionstr.h:190
 #2 vmwgfx_scanout_unref at vmwgfx_saa.c:1576
 #3 crtc_dpms at vmwgfx_crtc.c:93
 #4 vmwgfx_disable_scanout at vmwgfx_crtc.c:117
 #5 drv_leave_vt at vmwgfx_driver.c:1204
 #6 xf86XVLeaveVT at xf86xv.c:1349
 #12 RegionUninit at /usr/include/xorg/regionstr.h:161
 #13 RegionEmpty at /usr/include/xorg/regionstr.h:190
 #14 vmwgfx_scanout_unref at vmwgfx_saa.c:1576

Comment 1 ostadi 2014-07-12 19:30:27 UTC
Created attachment 917546 [details]
File: backtrace

Comment 2 ostadi 2014-07-12 19:30:28 UTC
Created attachment 917547 [details]
File: cgroup

Comment 3 ostadi 2014-07-12 19:30:29 UTC
Created attachment 917548 [details]
File: core_backtrace

Comment 4 ostadi 2014-07-12 19:30:30 UTC
Created attachment 917549 [details]
File: dso_list

Comment 5 ostadi 2014-07-12 19:30:30 UTC
Created attachment 917550 [details]
File: environ

Comment 6 ostadi 2014-07-12 19:30:31 UTC
Created attachment 917551 [details]
File: exploitable

Comment 7 ostadi 2014-07-12 19:30:32 UTC
Created attachment 917552 [details]
File: limits

Comment 8 ostadi 2014-07-12 19:30:33 UTC
Created attachment 917553 [details]
File: maps

Comment 9 ostadi 2014-07-12 19:30:34 UTC
Created attachment 917554 [details]
File: open_fds

Comment 10 ostadi 2014-07-12 19:30:34 UTC
Created attachment 917555 [details]
File: proc_pid_status

Comment 11 ostadi 2014-07-12 19:30:35 UTC
Created attachment 917556 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:21:21 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:34:07 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.